Package: org.codehaus.groovy.ant

## [Java] Class AntProjectPropertiesDelegate

- org.codehaus.groovy.ant.AntProjectPropertiesDelegate

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntProjectPropertiesDelegate (Project project)`
    `AntProjectPropertiesDelegate (Map t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()` throws: UnsupportedOperationException is always thrown when this method is invoked.
    `` | `Object` | `clone()`
    `` | `boolean` | `contains(Object value)`
    `` | `boolean` | `containsKey(Object key)`
    `` | `boolean` | `containsValue(Object value)`
    `` | `Enumeration` | `elements()`
    `` | `Set` | `entrySet()`
    `` | `boolean` | `equals(Object o)`
    `` | `Object` | `get(Object key)`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isEmpty()`
    `` | `Set` | `keySet()`
    `` | `Enumeration` | `keys()`
    `` | `Object` | `put(Object key, Object value)`
    `` | `void` | `putAll(Map t)`
    `` | `Object` | `remove(Object key)` throws: UnsupportedOperationException is always thrown when this method is invoked.
    `` | `int` | `size()`
    `` | `String` | `toString()`
    `` | `Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Hashtable` | `remove, remove, get, put, equals, toString, values, hashCode, clone, clear, isEmpty, replace, replace, contains, replaceAll, elements, size, merge, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keys, containsValue, keySet, getOrDefault, computeIfPresent, wait, wait, wait, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AntProjectPropertiesDelegate(Project project)

    - #### public AntProjectPropertiesDelegate(Map t)

  - ### Method Detail

    - #### public void clear()

      throws:
        UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

    - #### @com.github.javaparser.ast.expr.NormalAnnotationExprSuppressFBWarnings public Object clone()

    - #### public boolean contains(Object value)

    - #### public boolean containsKey(Object key)

    - #### public boolean containsValue(Object value)

    - #### public Enumeration elements()

    - #### public Set entrySet()

    - #### public boolean equals(Object o)

    - #### public Object get(Object key)

    - #### public int hashCode()

    - #### public boolean isEmpty()

    - #### public Set keySet()

    - #### public Enumeration keys()

    - #### public Object put(Object key, Object value)

    - #### public void putAll(Map t)

    - #### public Object remove(Object key)

      throws:
        UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

    - #### public int size()

    - #### public String toString()

    - #### public Collection values()